$(function() {

    rft = {
        api: {
            post: function(action,args,success,error) {
                $.ajax({
                    type: "POST",
                    url: "api.php",
                    contentType: "application/json",
                    data: JSON.stringify({ action:action, args:args }),
                    success: success,
                    error: error
                });
            }
        },
        auth: {
            login: function(username,password,success,error) {
                rft.api.post("login",
                    {username:username,password:password},
                    function(data,textStatus,jqXHR) {
                        success && success()
                    },
                    function(jqXHR,textStatus,errorThrown) {
                        error && error()
                    }
                );
            },
            register: function(username,password,success,error) {
                rft.api.post("register",
                    {username:username,password:password},
                    function(data,textStatus,jqXHR) {
                        success && success()
                    },
                    function(jqXHR,textStatus,errorThrown) {
                        error && error()
                    }
                );
            }
        }
    };

});
